/* This file is part of the KDE project
   Copyright (C) 2002 Simon Hausmann <hausmann@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef EVENTS_H
#define EVENTS_H

#include <kparts/event.h>

namespace IRC
{

class MessageReceiverRegistrationEvent : public KParts::Event
{
public:
    MessageReceiverRegistrationEvent( bool registeredHandler )
        : KParts::Event( s_eventName ), m_registeredHandler( registeredHandler )
    {}

    bool registeredHandler() const { return m_registeredHandler; }
    bool unregisteredHandler() const { return !m_registeredHandler; }

    static bool test( const QEvent *event )
    { return KParts::Event::test( event, s_eventName ); }

private:
    bool m_registeredHandler;
    static const char *s_eventName;
};

}

#endif // EVENTS_H
/* vim: et sw=4 ts=4
 */
