/* This file is part of the KDE project
   Copyright (C) 2002 Simon Hausmann <hausmann@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#include "messagefactory.h"

using namespace IRC;

MessageFactory::MessageFactory()
{
}

bool MessageFactory::registerMessageType( const QCString &typeName, const MessageFactory::MessageInfo &info )
{
    // .second says whether the insertion worked or not
    return m_registry.insert( MessageFactoryMap::value_type( typeName, info ) ).second;
}

Message *MessageFactory::createMessage( const QCString &typeName, const Message &body )
{
    MessageFactoryMap::ConstIterator it = m_registry.find( typeName );
    if ( it == m_registry.end() )
        return 0;

    return ( *it ).createMessage( body );
}

Message::NumericReplyInfo MessageFactory::replyInfo( const QCString &typeName )
{
    MessageFactoryMap::ConstIterator it = m_registry.find( typeName );
    if ( it == m_registry.end() )
        return Message::NumericReplyInfo();

    return ( *it ).replyInfo();
}

/* vim: et sw=4 ts=4
 */
